On 13/02/12 09:43, Teodor MICU wrote:
> 2012/2/11 tony mancill <tmanc...@debian.org>:
>> Would there be a problem with simply addressing all of the rdepends
>> prior to the release?  I believe Andrew Ross has filed bugs on the
>> affected packages.
> 
> That's the think, I believe this won't be enough. I just noticed on my
> workstation that libpg-java is one of the packages removed from Debian
> archives (candidate for removal in synaptic and 'aptitude purge ~o').
> At this point I noticed that other packages depend on it and would
> also be removed. I searched Debian PTS and found that it was renamed.
> 
> I manually installed the new package and than I could simply remove
> libpg-java *without* removing the r-deps. Thus no upgrade path from
> Debian 6.0 to 7.0.
> 
> Thanks
> 

Actually I think you're right for any dependency which declares a
specific version of libpg-java that it requires. I'll look at adding a
transitional package.

Andy



__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to